Subject: Too many children

From: [email-masked] (Don Cox)
Date: Fri, 7 Nov 1997 16:13:28 -0500

Greetings.

I am running Version wu-2.4(10) on HP-UX B.10.20 A. For
some reason, my parent process spawns multiple child
processes:

    root 18944   560  0 08:21:26 ?         0:07 infpsgw1.abnamrona.com: anonymous/IE30User@: RETR /pub/photo-cd
    root 18945   560  0 08:21:32 ?         0:07 infpsgw1.abnamrona.com: anonymous/IE30User@: RETR /pub/photo-cd
    root 19195   560  0 08:57:07 ?         0:07 infpsgw1.abnamrona.com: anonymous/IE30User@: RETR /pub/photo-cd
    root 19194   560  0 08:56:59 ?         0:07 infpsgw1.abnamrona.com: anonymous/IE30User@: RETR /pub/photo-cd

I recently did a 'ftpcount' with a return of 125, when in fact there
was actually only 45 users. It seems like old processes don't go away
after they have been completed. Do you think that this is a HP kernel
problem, or is there something that I can tweak in the wuftpd code to 
fix it?

Also, speaking of tweaking the code... how can I increase my number of 
guestgroups from 50 to about 500? TIA!

 Don Cox   mailto:[email-masked]   <><
 Phone: (716) 588-4415, KMX: 258-4415
 Pager: (800) SKY-8888, PIN 1989961
 FAX:   (716) 722-3885
 Webpage: http://www.kodak.com